VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::std::errors::TransientIndication Class Reference

The `TransientIndication` class indicates whether or not the error is transient. More...

List of all members.

## Public Member Functions
| TransientIndication ()
| Creates a default new instance.
bool | GetIsTransient ()
| Indicates that the error this class is attached to is transient.
void | SetIsTransient (bool isTransient)
| Indicates that the error this class is attached to is transient.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `TransientIndication` class indicates whether or not the error is transient.

Some types of errors are transient in certain situtations and not transient in other situtations. This error payload can be used to indicate to clients whether a particular error is transient. See Error.data .

## Constructor & Destructor Documentation

vmware::vapi::std::errors::TransientIndication::TransientIndication | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::std::errors::TransientIndication::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::std::errors::TransientIndication::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::TransientIndication::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::std::errors::TransientIndication::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::std::errors::TransientIndication::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::std::errors::TransientIndication::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::std::errors::TransientIndication::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vapi::std::errors::TransientIndication::GetIsTransient | ( |  | ) | `[inline]`

Indicates that the error this class is attached to is transient.

void vmware::vapi::std::errors::TransientIndication::SetIsTransient | ( | bool | isTransient | ) | `[inline]`

Indicates that the error this class is attached to is transient.

override string vmware::vapi::std::errors::TransientIndication::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TransientIndication.cs